diff --git a/benchmarks/track_finding/multiple_tracks.sh b/benchmarks/track_finding/multiple_tracks.sh
index b364657b50ff50586d4372c81966663630782d56..aca9542875c38f84e1c3c028246919d6fd113f2c 100644
--- a/benchmarks/track_finding/multiple_tracks.sh
+++ b/benchmarks/track_finding/multiple_tracks.sh
@@ -54,38 +54,38 @@ export JUGGLER_REC_FILE="rec_${JUGGLER_FILE_NAME_TAG}.root"
 echo "JUGGLER_N_EVENTS = ${JUGGLER_N_EVENTS}"
 echo "JUGGLER_DETECTOR = ${JUGGLER_DETECTOR}"
 
-### generate the input events
-#root -b -q "benchmarks/track_finding/scripts/gen_multiple_tracks.cxx(${JUGGLER_N_EVENTS}, \"${JUGGLER_FILE_NAME_TAG}.hepmc\")"
-#if [[ "$?" -ne "0" ]] ; then
-#  echo "ERROR running script"
-#  exit 1
-#fi
-#
-#echo "Running geant4 simulation"
-### run geant4 simulations
-#npsim --runType batch \
-#  --part.minimalKineticEnergy 1000*GeV  \
-#  -v WARNING \
-#  --numberOfEvents ${JUGGLER_N_EVENTS} \
-#  --compactFile ${DETECTOR_PATH}/${JUGGLER_DETECTOR}.xml \
-#  --inputFiles  ${JUGGLER_FILE_NAME_TAG}.hepmc \
-#  --outputFile  ${JUGGLER_SIM_FILE}
-#if [[ "$?" -ne "0" ]] ; then
-#  echo "ERROR running script"
-#  exit 1
-#fi
-
-#rootls -t ${JUGGLER_SIM_FILE}
-#
-#if [[ -z "${ANALYSIS_ONLY}" ]] ;
-#then
-#  # Need to figure out how to pass file name to juggler from the commandline
-#  xenv -x ${JUGGLER_INSTALL_PREFIX}/Juggler.xenv gaudirun.py benchmarks/track_finding/options/track_reconstruction.py
-#  if [[ "$?" -ne "0" ]] ; then
-#    echo "ERROR running juggler"
-#    exit 1
-#  fi
-#fi
+## generate the input events
+root -b -q "benchmarks/track_finding/scripts/gen_multiple_tracks.cxx(${JUGGLER_N_EVENTS}, \"${JUGGLER_FILE_NAME_TAG}.hepmc\")"
+if [[ "$?" -ne "0" ]] ; then
+  echo "ERROR running script"
+  exit 1
+fi
+
+echo "Running geant4 simulation"
+## run geant4 simulations
+npsim --runType batch \
+  --part.minimalKineticEnergy 1000*GeV  \
+  -v WARNING \
+  --numberOfEvents ${JUGGLER_N_EVENTS} \
+  --compactFile ${DETECTOR_PATH}/${JUGGLER_DETECTOR}.xml \
+  --inputFiles  ${JUGGLER_FILE_NAME_TAG}.hepmc \
+  --outputFile  ${JUGGLER_SIM_FILE}
+if [[ "$?" -ne "0" ]] ; then
+  echo "ERROR running script"
+  exit 1
+fi
+
+rootls -t ${JUGGLER_SIM_FILE}
+
+if [[ -z "${ANALYSIS_ONLY}" ]] ;
+then
+  # Need to figure out how to pass file name to juggler from the commandline
+  xenv -x ${JUGGLER_INSTALL_PREFIX}/Juggler.xenv gaudirun.py benchmarks/track_finding/options/track_reconstruction.py
+  if [[ "$?" -ne "0" ]] ; then
+    echo "ERROR running juggler"
+    exit 1
+  fi
+fi
 
 rootls -t ${JUGGLER_REC_FILE}